# Class CacheControl

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the cache control to be used for content.

    public abstract class CacheControl

Inheritance
  object
  CacheControl

Derived
  EphemeralCacheControl

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### CacheControl(string)

Initializes a new instance of the CacheControl class.

    protected CacheControl(string type)

#### Parameters

`type` string

  The type of the cache control.

#### Exceptions

ArgumentException

  Thrown when the type is null or whitespace.

## Properties

### Type

Gets the type of the cache control.

    public string Type { get; init; }

#### Property Value

string